const readline = require('readline')

const { copy, write, getCityWeather } = require('./services')

const startCli = async ({ from, to, city }) => {
  if (city) {
    await getCityWeather(city, to)
    return
  } else {
    const rl = readline.createInterface({
      input: process.stdin,
      output: process.stdout,
      terminal: false,
    })

    let data = ''
    rl.on('line', async line => {
      data = `${data}${line}\n`
      await write(to, data)
    })
  }
}

exports.startCli = startCli
