const yargs = require('yargs')

const { startServer } = require('./web')
const { startCli } = require('./cli')

const { argv } = yargs
  .help('h')
  .alias('h', 'help')
  .example(
    '$0 --from ./some.txt --to ~/Downloads/some.txt',
    'Копирует содержимое из ./some.txt в ~/Downloads/some.txt',
  )
  .example(
    '$0 --to ~/Downloads/some.txt',
    'Вставляет в ~/Downloads/some.txt то, что ввел пользователь',
  )
  .example(
    '$0 --web --to ~/Downloads/some.txt',
    'Открывает сервер на 8080 порту, с POST на /, где вставляет в файл содержимое запроса',
  )
  .option('web', { describe: 'Запустить в режиме web-сервера' })
  .option('from', { describe: 'Путь от куда' })
  .option('to', { describe: 'Путь до куда' })

if (argv.web) {
  startServer(argv)
} else {
  startCli(argv)
}
